Bug 729681 - Review Request: maven-reporting-exec - classes managing report plugin execution
Summary: Review Request: maven-reporting-exec - classes managing report plugin execution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 14:16 UTC by Tomas Radej
Modified: 2011-08-30 20:45 UTC (History)
3 users (show)

Fixed In Version: maven-reporting-exec-1.0.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-11 16:11:43 UTC
akurtako: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
maven-reporting-exec-1.0.1-1.src.rpm Fixed BuildArch -> noarch (24.88 KB, application/octet-stream)
2011-08-11 12:33 UTC, Tomas Radej
no flags Details

Description Tomas Radej 2011-08-10 14:16:31 UTC
Spec URL: http://tradej.fedorapeople.org/maven-reporting-exec.spec
SRPM URL: http://tradej.fedorapeople.org/maven-reporting-exec-1.0.1-1.src.rpm
Description: Classes to manage report plugin executions with Maven 3. Contains classes for managing and configuring reports and their execution.

Comment 1 Alexander Kurtakov 2011-08-10 19:01:50 UTC
I would do this one.

Comment 2 Alexander Kurtakov 2011-08-11 12:18:28 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
maven-reporting-exec.i686: E: no-binary
maven-reporting-exec-debuginfo.i686: E: empty-debuginfo-package
I see no reason for this package to not be noarch
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :ddc79b59dcacc6d6d8ff8951b422f1f8 
MD5SUM upstream package:ddc79b59dcacc6d6d8ff8951b422f1f8 
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[x]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[x]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[!]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.

=== Issues ===
1. Is there a reason for this package to not be noarch. I don't see any please fix it unless you have a reason

Comment 3 Tomas Radej 2011-08-11 12:33:00 UTC
Created attachment 517788 [details]
maven-reporting-exec-1.0.1-1.src.rpm Fixed BuildArch -> noarch

Comment 4 Tomas Radej 2011-08-11 12:35:32 UTC
Comment on attachment 517788 [details]
maven-reporting-exec-1.0.1-1.src.rpm Fixed BuildArch -> noarch

Fixed Issue 1 - changed architecture to noarch

Comment 5 Tomas Radej 2011-08-11 12:47:56 UTC
Fixed issue 1 - changed architecture to noarch

SRPM URL: http://tradej.fedorapeople.org/maven-reporting-exec-1.0.1-2.src.rpm

Comment 6 Tomas Radej 2011-08-11 12:56:56 UTC
Fixed issue 1 - changed architecture to noarch

Spec URL: http://tradej.fedorapeople.org/maven-reporting-exec.spec
SRPM URL: http://tradej.fedorapeople.org/maven-reporting-exec-1.0.1-2.src.rpm

Comment 7 Alexander Kurtakov 2011-08-11 13:00:45 UTC
Looks good now.

APPROVED.

Comment 8 Tomas Radej 2011-08-11 13:31:27 UTC
New Package SCM Request
=======================
Package Name: maven-reporting-exec
Short Description: Classes to manage report plugin executions with Maven 3
Owners: tradej
Branches: fc15
InitialCC: akurtakov

Comment 9 Gwyn Ciesla 2011-08-11 13:42:22 UTC
Git done (by process-git-requests).

Corrected fc15 to f15, added f16.

Comment 10 Fedora Update System 2011-08-15 08:21:58 UTC
maven-reporting-exec-1.0.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/maven-reporting-exec-1.0.1-3.fc16

Comment 11 Fedora Update System 2011-08-30 20:45:36 UTC
maven-reporting-exec-1.0.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.